Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### mag()

Examples

    PVector v;

    void setup() {
      size(100, 100);
      v = new PVector(20.0, 30.0, 40.0);
      float m = v.mag();
      println(m);  // Prints "53.851646"
    }

Description | Calculates the magnitude (length) of the vector and returns the result as a float (this is simply the equation sqrt(x*x + y*y + z*z).)

Syntax

    vec.mag()

Parameters

vec | any variable of type PVector

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST